package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value="t_license对象", description="驾照管理表")
@TableName("t_license")
public class TLicense extends EntityBase<TLicense> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "驾照id")
    @TableId(value = "license_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer exceptionId;

    @TableField("license_type")
    @TableShowField("驾照类型:如C1/C2")
    @TableNewField
    private String licenseType;

    @TableField("driving_list")
    @TableShowField("车辆许可的类型 多条请以逗号分隔:如皮卡车,电动车,等")
    @TableNewField
    private String drivingList;
}
