package com.bohuikeji.delivery.backstage.entity.baidu;


import com.bohuikeji.delivery.backstage.entity.TCarousel;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 招商加盟入驻轮播
 * </p>
 * @author 10552
 * @since 2019-08-22
 */
@Data
@Accessors(chain = true)
@ApiModel(value="BaiDuBizInfo对象", description="百度支付收银台支付")
public class BaiDuBizInfo {
    @ApiModelProperty(value = "支付AppKey")
    private String appKey;
    @ApiModelProperty(value = "百度收银台的财务结算凭证")
    private String dealld;
    @ApiModelProperty(value = "小程序开发者系统创建的唯一订单 ID")
    private String tpOrderId;
    @ApiModelProperty(value = "订单金额（单位：人民币分）")
    private String totalAmount;
}
