package com.bohuikeji.delivery.backstage.entity.open.vo;

import lombok.Data;
import com.bohuikeji.delivery.backstage.entity.open.VoBase;

import java.time.LocalDateTime;

/**
 * 订单变更记录
 * @author 孙劲辉
 */
@Data
public class OrderRecordVo extends VoBase<OrderRecordVo> {

    /**
     *  订单号
     */
    String orderNum;

    /**
     * 变更后状态
     */
    String changeStatus;

    /**
     * 变更时间
     */
    LocalDateTime changeTime;

}
