package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TLogistics;
import com.bohuikeji.delivery.backstage.entity.TOrder;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

import java.util.List;

/**
 * <p>
 * 物流信息表 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-09-10
 */
public interface ITLogisticsService extends ServiceBase<TLogistics> {

    void addTLogistics(TLogistics tLogistics);


    /**
     * 在修改订单状态时并修改（订单流转、物流、物流流转的状态）使其统一
     * @param tLogisticss
     */
    void updateOrderAndTLogistics(List<TLogistics> tLogisticss,String orderStatus);

    /**
     * 使用订单创建物流记录
     * @param order
     * @return
     */
    boolean createLogistics(TOrder order);

    /**
     * 在订单流转出添加包裹
     * @param orderId
     * @param courierId
     * @param cargoPhotos
     */
    void saveTLogistics(Integer orderId,Integer courierId,String cargoPhotos);
}