package com.bohuikeji.frame.module.admin.annotation;

import com.bohuikeji.frame.module.admin.base.HtmlBlockFormBase;
import com.bohuikeji.frame.module.admin.entity.web.block.InputBlock;

import java.lang.annotation.*;

@Target({ElementType.FIELD,ElementType.ANNOTATION_TYPE})
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
/**
 * 新增属性配置
 * @author 10552
 */
public @interface ConfigAdd {
    /**
     * 要创建的表单元素块
     * @return
     */
    Class<? extends HtmlBlockFormBase> block() default InputBlock.class;
}
