package com.bohuikeji.frame.module.admin.base;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.Map;

/**
 * 框架顶层Mapper
 * @author 孙劲辉
 * @param <T>
 */
public interface RanchBaseMapper<T> extends BaseMapper<T> {
    /**
     * 使用ID查询一列数据
     * @param column
     * @param id
     * @return
     */
    Object selectColumnById(@Param("column")String column, @Param("id") Serializable id);

    /**
     * 执行SQL
     * @param sql
     * @return 返回MAP类型
     */
    Map<String,Object> runSqlToMap(@Param("sql")String sql);

    /**
     * 执行SQL
     * @param sql
     * @return
     */
    Object runSqlToObj(@Param("sql")String sql);
}
