package com.bohuikeji.frame.module.admin.entity.configure;

import com.bohuikeji.frame.module.admin.base.SuperBase;
import lombok.Data;

/**
 * 输入父组件
 * @author 10552
 */
@Data
public abstract class BaseInputAn extends SuperBase {
    /**
     * 是否显示
     */
    boolean show=true;
    /**
     * 是否禁用
     */
    boolean disable=false;
    /**
     * 默认值
     */
    String value;
    /**
     * 正则表达式限制
     */
    String regEx;
    /**
     * 初始化组件块
     */
    String block;
    /**
     * 是否必填
     */
    boolean required=true;
    /**
     * 是否为多个选项单选
     */
    String[] option;
    /**
     * 排序
     */
    double sort=1d;

    /**
     * 后缀
     */
    String fix;
}
