package com.bohuikeji.frame.module.admin.entity.sys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.bohuikeji.frame.module.admin.entity.configure.PageConf;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 页面配置表
 * @author 10552
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysPage extends EntityBase<SysPage> {
    /**
     * 自增id
     */
    @TableId(value = "page_id", type = IdType.AUTO)
    Integer pageId;
    /**
     * 查找key
     */
    @TableField("page_key")
    String pageKey;
    /**
     * 页面名称
     */
    @TableField("page_name")
    String pageName;
    /**
     * 页面配置
     */
    @TableField("page_json")
    PageConf pageConf;
}
