package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.delivery.backstage.entity.TCourierTypeExamine;
import com.bohuikeji.frame.module.admin.base.ServiceBase;
import com.bohuikeji.frame.module.admin.entity.sys.SysConfig;

/**
 * <p>
 * 派送员类型申请服务
 * </p>
 *
 * @author 10552
 * @since 2019-08-22
 */
public interface ITCourierTypeExamineService extends ServiceBase<TCourierTypeExamine> {

    /**
     * 骑手类型切换申请
     * @param tCourier
     * @param config
     * @return
     */
    boolean addTypeExamine(TCourier tCourier, SysConfig config, JSONObject jsonObject);

}
