package com.bohuikeji.frame.module.admin.entity.socket;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 框架的Socket通讯协议实体
 * @author 孙劲辉
 */
@Data
public class Smsg implements Serializable {
    /**
     * 客户端端点地址呢
     */
    String url;
    /**
     * 发送数据
     */
    Object data;
    /**
     * 发送类型
     */
    Integer type=0;

    /**
     * 有参构造函数
     * @param url
     * @param data
     */
    public Smsg(String url,Object data){
        this.url=url;
        this.data=data;
    }
}
