package com.bohuikeji.frame.module.admin.entity.vo;

import com.bohuikeji.frame.module.admin.base.SuperBase;
import lombok.Data;

import java.util.Map;

/**
 * Bootstrap-table组件数据请求格式VO
 */
@Data
public class TableDataVo extends SuperBase {

    /**
     * 页面大小
     */
    private Integer pageSize;
    /**
     * 页号
     */
    private Integer offset;
    /**
     * 排序字段
     */
    private String sort;
    /**
     * 排序方式
     */
    private String sortOrder;

    private Map<String,String> query;
    private Map<String,String> search;
}
