package com.bohuikeji.frame.module.admin.entity.web;

import com.bohuikeji.frame.module.admin.base.TableBase;
import lombok.Getter;
import lombok.Setter;

/**
 * 用于支撑Bootstrap-Table列的初始化相关设置项
 * @author sjh
 */
@Getter
@Setter
public class TableColumn  extends TableBase {
    /**
     * 构造方法组
     */
    public TableColumn(){

    }
    public TableColumn(String dataField,String dataTitle){
        this.dataField=dataField;
        this.dataTitle=dataTitle;
        this.dataAlign="center";
        this.dataValign="middle";
        this.dataSortable=true;
        this.dataSortName=dataField;
        this.dataSortOrder="desc";
        //this.dataCheckbox=true;


    }
    /**
     * 静态方法组
     */
    public static TableColumn getDefalut(String dataField,String dataTitle){
        return new TableColumn(dataField,dataTitle);
    }

    private String dataField;
    private String dataTitle;
    private String dataTitleTooltip;
    private String dataClass;
    private Integer dataWidth;
    private String dataWidthUnit;
    private Integer dataRowspan;
    private Integer dataColspan;
    private String dataAlign;
    private String dataHalign;
    private String dataFalign;
    private String dataValign;
    private String dataCellStyle;
    private Boolean dataRadio;
    private Boolean dataCheckbox;
    private Boolean dataCheckboxEnabled;
    private Boolean dataShowSelectTitle;
    private Boolean dataSortable;
    private String dataSortName;
    private String dataSortOrder;
    private String dataSorter;
    private Boolean dataVisible;
    private Boolean dataSwitchable;
    private Boolean dataCardVisible;
    private Boolean dataSearchable;
    private String dataFormatter;
    private String dataFooterFormatter;
    private String dataDetailFormatter;
    private Boolean dataSearchFormatter;
    private Boolean dataEscape;
    private String key;
}
