package com.bohuikeji.frame.module.admin.service;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.frame.module.admin.base.ServiceBase;
import com.bohuikeji.frame.module.admin.entity.sys.SysConfig;

import java.util.List;

/**
 * <p>
 * 系统配置项 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-08-09
 */
public interface ISysConfigService extends ServiceBase<SysConfig> {
    /**
     * 按key查询一个配置
     * @param key
     * @return
     */
    SysConfig getOneByKey(String key);

    /**
     * 按key查询配置组
     * @param groupKey
     * @return
     */
    List<SysConfig> getListByGroup(String groupKey);

    JSONObject jsonObject(SysConfig config);

    /**
     * 获取货拉拉 访问令牌并记录
     * @param code
     * @param res
     * @return
     */
    SysConfig getHuolalaToken(String code,JSONObject res);

}
